package de.intevation.gnv.artifacts;

import junit.framework.Test;
import junit.framework.TestSuite;

public class GNVArtifactsTestSuite {

    public static Test suite() {
        TestSuite suite = new TestSuite("Test for de.intevation.gnv.artifacts");
        suite.addTestSuite(TimeSeriesPointTimeSeriesTestCase.class);
        suite.addTestSuite(MeshVerticalProfileTestCase.class);
        suite.addTestSuite(MeshHorizontalProfileTestCase.class);
        suite.addTestSuite(MeshHorizontalCrossSectionTestCase.class);
        suite.addTestSuite(MeshTimeSeriesTestCase.class);
        suite.addTestSuite(TimeSeriesPointVerticalProfileTestCase.class);
        suite.addTestSuite(MeshVerticalCrossSectionTestCase.class);
        suite.addTestSuite(InstantaneousPointHorizontalProfileTestCase.class);
        suite.addTestSuite(InstantaneousPointVerticalProfileTestCase.class);
        return suite;
    }

}
